﻿@model Instantly.Models.User
@*
    <ul class="nav nav-tabs">
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Orders">Замовлення</a>
        </li>
        <li class="nav-item">
            <a class="nav-link active" href="/Account/Profile/Reviews">Відгуки</a>
        </li>
        <li class="nav-item">
            <a class="nav-link" href="/Account/Profile/Settings">Налаштування</a>
            <!--<a class="nav-link active" asp-action="Profile" asp-route-id="Settings">Налаштування</a>-->
        </li>
    </ul>
*@

<ul class="nav nav-tabs">
    <li class="nav-item">
        <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Orders">Замовлення</a>
    </li>
    <li class="nav-item">
        <a class="nav-link active" asp-controller="Account" asp-action="Profile" asp-route-page="Reviews">Відгуки</a>
    </li>
    @if (Model.Email == User.Identity.Name)
    {
        <li class="nav-item">
            <a class="nav-link" asp-controller="Account" asp-action="Profile" asp-route-page="Settings">Налаштування</a>
        </li>
    }
</ul>

@if (Model.UserReviewsAsTarget.Count == 0)
{
    <p style="margin-top: 20px; color: darkgray;">Відгуків немає</p>
}

@foreach (UserReview ur in Model.UserReviewsAsTarget)
{
    <br />
    <div class="card border-primary mb-3" style="max-width: 18rem;">
        <!--<div class="card-header bg-transparent border-success"></div>-->
        <div class="card-body text-primary">
            <h5 class="card-title">@ur.Rating</h5>
            <p class="card-text">@ur.Text</p>
        </div>
        <div class="card-footer border-primary">
            <a asp-controller="Account" asp-action="Profile" asp-route-useremail="@ur.AuthorUser.Email">@ur.AuthorUser.FIO</a>
        </div>
    </div>    
}